Autor Tema: Ghost Glibc en OpenWRT  (Leído 1745 veces)

0 Usuarios y 1 Visitante están viendo este tema.

cocotero

  • Visitante
Ghost Glibc en OpenWRT
« en: 28-01-2015, 19:41 (Miércoles) »
Hola.

He mirado por ahí y no he visto nada claro. ¿Mi router con BARRIER BREAKER (14.07, r42625) está afectado por la vulnerabilidad CVE-2015-0235?

Buscando en openwrt he visto esto:
https://dev.openwrt.org/changeset/44164
pero no sé qué significa la verdad.



Desconectado Tki2000

  • Moderador
  • *
  • Mensajes: 2192
Re: Ghost Glibc en OpenWRT
« Respuesta #1 en: 28-01-2015, 22:39 (Miércoles) »
Hola.

He mirado por ahí y no he visto nada claro. ¿Mi router con BARRIER BREAKER (14.07, r42625) está afectado por la vulnerabilidad CVE-2015-0235?

Buscando en openwrt he visto esto:
https://dev.openwrt.org/changeset/44164
pero no sé qué significa la verdad.

Vulnerabilidad CVE-2015-0235 – GHOST: glibc gethostbyname buffer overflow

La vulnerabilidad es de glibc y de eglibc, pero openwrt está compilado con uclibc, a la que todavía no se le ha descubierto esa vulnerabiidad.
Opcionalmente se puede compilar con eglibc, pero ese paquete se ha marcado como "roto" en las últimas compilaciones para evitar en la medida de lo posible que la gente lo compile con esa biblioteca (es lo que has visto en el enlace que pones).

cocotero

  • Visitante
Re: Ghost Glibc en OpenWRT
« Respuesta #2 en: 29-01-2015, 10:59 (Jueves) »
Muchas gracias.

Pues perfecto, un punto a favor para openwrt que use esa librería.